> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v3/beta-documentation/expected-goals/endpoints.md).

# Endpoints

Gather an overview of all the xG values available within your subscription via the Expected endpoints. Retrieve basic information or enrich your response.&#x20;

Use one of our 2 expected endpoints. Per endpoint, you can find the details, including base URL, parameters, includes and more.&#x20;

* **GET Expected by Team:** returns all the expected data that are available within your subscription on team level.&#x20;
* **GET Expected by Player:** returns all the expected data that are available within your subscription on player level.&#x20;

#### Include options

`type` `fixture`

**Related Entities:**

Get an overview and explanation of all the fields returned in the API response. The related entities for the expected endpoints are:

* [Expected](/v3/beta-documentation/expected-goals/entity.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportmonks.com/v3/beta-documentation/expected-goals/endpoints.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
